[Unit]
Description=Kiosk browser kiosk-{{ kiosk.id }}
{% for k in kiosk_instances %}
{% if k.id != kiosk.id %}
Conflicts=kiosk-{{ k.id }}.service
{% endif %}
{% endfor %}

[Service]
Type=simple
ExecStart=/usr/bin/chromium-browser --app={% if kiosk.content is defined and kiosk.content|length %}file:///home/interactive/kiosk/{{ kiosk.id }}/prd/{{ kiosk.index | default('index.html') }}{% else %}{{ kiosk.url }}{% endif %} --ignore-gpu-blacklist --kiosk --noerrdialogs --disable-translate --no-first-run --fast --fast-start --disable-infobars --disable-features=TranslateUI --enable-smooth-scrolling --enable-native-gpu-memory-buffers --start-maximized --disable-file-system --no-default-browser-check --window-size={{ kiosk.config.width | default('1920') }},{{ kiosk.config.height | default('1080')}} --window-position={{ kiosk.config.xpos | default('0')}},{{ kiosk.config.ypos | default ('0')}} {% if kiosk.config.gpu is defined and kiosk.config.gpu == 'disable' %}--disable-gpu{% endif %} {{ kiosk.config.pinch | default('--disable-pinch') }} 
ExecStartPost=/usr/local/bin/set-sink-input-volume ${MAINPID} '{{ kiosk.volume | default('100%') }}'
Restart=always
